Get Atlantic Query by Dedup ID
curl --request GET \
--url https://atlantic.api.herodotus.cloud/atlantic-query-by-dedup-id \
--header 'api-key: <api-key>'import requests
url = "https://atlantic.api.herodotus.cloud/atlantic-query-by-dedup-id"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://atlantic.api.herodotus.cloud/atlantic-query-by-dedup-id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"atlanticQuery": {
"id": "<string>",
"externalId": "<string>",
"dedupId": "<string>",
"transactionId": "<string>",
"status": "RECEIVED",
"step": "<string>",
"programHash": "<string>",
"integrityFactHash": "<string>",
"sharpFactHash": "<string>",
"layout": "<string>",
"isFactMocked": true,
"isProofMocked": true,
"chain": "L1",
"jobSize": "XS",
"declaredJobSize": "XS",
"cairoVm": "rust",
"cairoVersion": "cairo0",
"steps": [
"<string>"
],
"result": "TRACE_GENERATION",
"network": "MAINNET",
"hints": "herodotus_evm_grower",
"sharpProver": "stone",
"errorReason": "<string>",
"submittedByClient": "<string>",
"projectId": "<string>",
"submittedByWallet": "<string>",
"bucketId": "<string>",
"bucketJobIndex": -1,
"customerName": "<string>",
"isJobSizeValid": true,
"retryCount": -1,
"createdAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "MISSING_API_KEY"
}{
"message": "ATLANTIC_QUERY_NOT_FOUND"
}{
"error": "INTERNAL_SERVER_ERROR"
}Endpoints
Get query by dedup ID
Retrieve an Atlantic STARK proof query using your custom deduplication identifier
GET
/
atlantic-query-by-dedup-id
Get Atlantic Query by Dedup ID
Query Deduplication
Atlantic supports query deduplication through thededupId parameter. When submitting a query, you can provide a custom dedupId to:
- Avoid duplicate processing of identical queries
- Track and retrieve queries using your own identifier
- Reference queries across your application consistently
dedupId and projectId, which is particularly useful when you want to:
- Ensure idempotent query submissions
- Retrieve query results using your own tracking identifiers
- Check if a query with a specific dedup ID already exists before submitting a new one
Usage
Provide both thededupId and projectId as query parameters to retrieve the Atlantic query details.Was this page helpful?

